# Sign in Applications in Ethereum

Once you have Sender installed, you'll be able to sign in and interact with the applications in Ethereum chain.&#x20;

### Sign In

To interact with smart contracts, users need to sign in the application. Once sign in, the application will be authorized to call the change methods defined in the scope. &#x20;

```javascript
// Sender will show a popup dialog to ask user to authorize your dApp
// This method will give you an accounts array which is from Sender wallet extension. 
// window.sender.ethereum.isConnected will be true.
await window.sender.ethereum.requestAccounts(); 
```

#### Disconnect

```javascript
window.sender.ethereum._handleDisconnect(); // true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.senderwallet.io/guide/sign-in-applications/sign-in-applications-in-ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
